<?php
// src/OgGitBundle/Service/CurlRequestService.php

namespace App\OgGitBundle\Service;
use Exception;
use Psr\Log\LoggerInterface;

class CurlRequestService
{

    public function convertMaskToCIDR($mask)
    {
        $bits = 0;
        $mask = explode(".", $mask);

        foreach ($mask as $octect)
            $bits += strlen(str_replace("0", "", decbin($octect)));

        return $bits;
    }


// src/Service/CurlRequestService.php

public function callOgLive($parameter)
{
    // Ruta completa al script oglivecli
    $ogLiveCliPath = sprintf("%s/bin/oglivecli", dirname(dirname(dirname(__DIR__))));

    // Dividir el parámetro en acción y argumentos
    $args = array_map('trim', explode(' ', $parameter));
    $action = array_shift($args);

    // Registrar la acción y los argumentos
    syslog(LOG_INFO, 'action ' . $action);
    syslog(LOG_INFO, 'args ' . json_encode($args));

    // Limpiar los argumentos de comillas innecesarias
    $cleanedArgs = array_map(function($arg) {
        return trim($arg, '\'\"');
    }, $args);
    // Construir el comando final sin añadir comillas alrededor de cada elemento
    $commandToRun = $ogLiveCliPath . ' ' . $action . ' ' . implode(' ', $cleanedArgs);

    // Registrar el comando en syslog para depuración
    syslog(LOG_INFO, 'command ' . $commandToRun);

    // Ejecutar el comando
    $output = shell_exec($commandToRun);
    syslog(LOG_INFO, 'output ' . $output);

    // Decodificar la salida JSON si es posible
    $decodedOutput = json_decode($output, true);

    return $decodedOutput;
}



}
